GrailsDependencyVersions (Grails 3.2.6)
Date: 2017-02-09

Package: org.grails.cli.boot

## [Groovy] Class GrailsDependencyVersions

- org.grails.cli.boot.GrailsDependencyVersions

- All Implemented Interfaces and Traits:
    org.springframework.boot.cli.compiler.dependencies.DependencyManagement

      @groovy.transform.CompileStatic
      class GrailsDependencyVersions
      extends java.lang.Object

  Introduces dependency management based on a published BOM file

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `protected java.util.Map<java.lang.String, java.lang.String>` | `artifactToGroupAndArtifact` |
    `protected java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency>` | `dependencies` |
    `protected java.util.Map<java.lang.String, org.springframework.boot.cli.compiler.dependencies.Dependency>` | `groupAndArtifactToDependency` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsDependencyVersions ()`
    `GrailsDependencyVersions (java.util.Map<java.lang.String, java.lang.String> bomCoords)`
    `GrailsDependencyVersions (groovy.grape.GrapeEngine grape)`
    `GrailsDependencyVersions (groovy.grape.GrapeEngine grape, java.util.Map<java.lang.String, java.lang.String> bomCoords)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `protected void` | `addDependency(java.lang.String group, java.lang.String artifactId, java.lang.String version)`
    `void` | `addDependencyManagement(groovy.util.slurpersupport.GPathResult pom)`
    `org.springframework.boot.cli.compiler.dependencies.Dependency` | `find(java.lang.String groupId, java.lang.String artifactId)`
    `org.springframework.boot.cli.compiler.dependencies.Dependency` | `find(java.lang.String artifactId)`
    `groovy.grape.GrapeEngine` | `getDefaultEngine()`
    `java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency>` | `getDependencies()`
    `java.lang.String` | `getSpringBootVersion()`
    `java.util.Iterator<org.springframework.boot.cli.compiler.dependencies.Dependency>` | `iterator()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Field Detail

    - #### protected java.util.Map<java.lang.String, java.lang.String> artifactToGroupAndArtifact

    - #### protected java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency> dependencies

    - #### protected java.util.Map<java.lang.String, org.springframework.boot.cli.compiler.dependencies.Dependency> groupAndArtifactToDependency

  - ### Constructor Detail

    - #### GrailsDependencyVersions()

    - #### GrailsDependencyVersions(java.util.Map<java.lang.String, java.lang.String> bomCoords)

    - #### GrailsDependencyVersions(groovy.grape.GrapeEngine grape)

    - #### GrailsDependencyVersions(groovy.grape.GrapeEngine grape, java.util.Map<java.lang.String, java.lang.String> bomCoords)

  - ### Method Detail

    - #### protected void addDependency(java.lang.String group, java.lang.String artifactId, java.lang.String version)

    - #### @groovy.transform.CompileDynamic void addDependencyManagement(groovy.util.slurpersupport.GPathResult pom)

    - #### org.springframework.boot.cli.compiler.dependencies.Dependency find(java.lang.String groupId, java.lang.String artifactId)

    - #### @java.lang.Override org.springframework.boot.cli.compiler.dependencies.Dependency find(java.lang.String artifactId)

    - #### groovy.grape.GrapeEngine getDefaultEngine()

    - #### @java.lang.Override java.util.List<org.springframework.boot.cli.compiler.dependencies.Dependency> getDependencies()

    - #### @java.lang.Override java.lang.String getSpringBootVersion()

    - #### java.util.Iterator<org.springframework.boot.cli.compiler.dependencies.Dependency> iterator()